app.scriptPreferences.version = 4;
with (app) {
	try {
		var myDoc = activeDocument;
	} catch (error) {
		alert("Net documentov!");
		exit();
	}
	if (selection.length == 0) {
		alert("Ne vydeleno!");
		exit();
	}
	var myINI = File(activeScript.path + "/sorazm.jsini");
	if (myINI.exists) {
		try {
			myINI.open("r");
			var myString = myINI.readln();
			myINI.close();
			eval (myString);		
		} catch (error) {
	
		}
		
	} else {
		iniH = true;
		iniW = true;		
	}
	
	var myWArr = [];
	var myHArr = [];
	for (var counter = 0; counter < selection.length; counter++) {
		myWArr.push(String(selection[counter].visibleBounds[2] - selection[counter].visibleBounds[0]));
		myHArr.push(String(selection[counter].visibleBounds[3] - selection[counter].visibleBounds[1]));
	}
	try {
		var myDefW = String(selection[0].visibleBounds[2] - selection[0].visibleBounds[0]);
		var myDefH = String(selection[0].visibleBounds[3] - selection[0].visibleBounds[1]);
	} catch (error) {
		var myDefW = "0";
		var myDefH = "0";
	}
	var myDialog = dialogs.add({name: "Sorazmerivatel 1.2"});
	with (myDialog.dialogColumns.add().dialogRows.add().borderPanels.add()) {
		with (dialogColumns.add()) {
			var userDH = dialogRows.add().checkboxControls.add({staticLabel: "Shirina:", checkedState: iniH});
			var userDW = dialogRows.add().checkboxControls.add({staticLabel: "Wisota:", checkedState: iniW});
		}
		with (dialogColumns.add()) {
			var userH = dialogRows.add().measurementComboboxes.add({editUnits: myDoc.viewPreferences.horizontalMeasurementUnits, stringList: myHArr, editContents: myDefH, smallNundge: .1, largeNudge: 10, minWidth: 100});
			var userW = dialogRows.add().measurementComboboxes.add({editUnits: myDoc.viewPreferences.verticalMeasurementUnits, stringList: myWArr, editContents: myDefW, smallNundge: .1, largeNudge: 10, minWidth: 100});			
		}
	}
	var myResult = myDialog.show();
	if (!myResult) {
		exit();
	}
	var myW = Number(userW.editContents.replace(/[^0-9\.\,]/gim, "").replace(/\,/gim, "."));
	var myH = Number(userH.editContents.replace(/[^0-9\.\,]/gim, "").replace(/\,/gim, "."));
	for (var counter = 0; counter < selection.length; counter++) {
		try {
			var myBounds = selection[counter].visibleBounds;
			if (userDH.checkedState && (Math.abs(selection[counter].visibleBounds[3] - myBounds[1] - myH) > 0.001)) {
				myBounds[3] = myBounds[1] + myH;
			}
			if (userDW.checkedState && (Math.abs(selection[counter].visibleBounds[2] - myBounds[0] - myW) > 0.001)) {
				myBounds[2] = myBounds[0] + myW;
			}
			selection[counter].visibleBounds = myBounds;
		} catch (error) {
			
		}
	}
	var myString = "iniW = " + String(userDW.checkedState) + "; " + "iniH = " + String(userDH.checkedState) + ";";
	try {
		myINI.open("w");
		myINI.writeln(myString);
		myINI.close();
	} catch (error) {
		
	}
}